function init_jpush() {

    if (api.systemType == 'ios') {//ios系统不需要进行加载自动就加载了，但是需要 进行点击消息事件的监听
        listener_msg_clicked();
    } else {

        load_jpush();
        //非ios系统需要进行加载
    }
    setListener_msg();
    //进行消息监听，也就是说当应用在前台的时候，也能够接收消息且进行逻辑处理
    //以下是绑定设备为别名，这里需要解释一下，我们后面后端程序进行推送消息的时候是通过别名来进行推送的，所以需要绑定一下，我们这里是绑定的设备唯一识别码，如果你是按照用户名等等的绑定这里可以不要调用。在需要绑定的地方执行setAlias(deviceId);
    var deviceId = api.deviceId;

    if ($api.getStorage("USER_GUID") != null && $api.getStorage("USER_GUID") != '') {
        deviceId = $api.getStorage("USER_GUID");
    } else {

        deviceId = $api.getStorage("BANK_USER_GUID");
        
    }
    
    deviceId = deviceId.replace(/\-/g, "");
   
    setAlias(deviceId);
}

function load_jpush() {//加载jpush
    var ajpush = api.require('ajpush');

    ajpush.init(function(ret) {

        listener_msg();

    });
}

function listener_msg() {//针对非IOS系统的消息点击
    //alert("s")
    api.addEventListener({
        name : 'appintent'
    }, function(ret, err) {
        //alert(ret.appParam.ajpush)
        sendMsg(ret.appParam.ajpush);
        //$alert("appintent:" + json2str(ret));
    })
}

function listener_msg_clicked() {//针对IOS系统的消息点击
    api.addEventListener({
        name : 'noticeclicked'
    }, function(ret, err) {
        sendMsg(ret.value);
        //$alert("noticeclicked:" + json2str(ret));
    })
}

function setListener_msg() {//消息监听，即应用在前台的时候的监听
    var ajpush = api.require('ajpush');
    ajpush.setListener(function(ret) {
        sendMsg(ret);
        //$alert("setListener_msg:" + json2str(ret));
    });
}

function clear_notice() {//清除消息通知，一般用不到，不用管
    var ajpush = api.require('ajpush');
    var param = {
        id : -1
    };
    ajpush.clearNotification(param, function(ret) {

        if (ret && ret.status) {
            //success
        }
    });
}

function set_badge()//针对ios系统的清楚角标提醒数字，只要执行了就设置为空
{
    var ajpush = api.require('ajpush');
    ajpush.setBadge({
        badge : 0
    });
}

function setAlias(id) {//绑定别名

    var param = {
        alias : id,
        tags : ['tag_' + id, 'coolfull']
    };
    var ajpush = api.require('ajpush');
    ajpush.bindAliasAndTags(param, function(ret) {
        //		$alert("bindAliasAndTags:" + json2str(ret));

        var statusCode = ret.statusCode;
        if (statusCode == '6002') {
            setAlias();
        }
    });
}

function sendMsg(ret)//统一的消息逻辑处理
{

    if (api.systemType == 'ios') {
        //alert("ios")
        set_badge();
        if (ret.extra) {
            var extra = ret.extra;
        } else if (ret.extras) {
            var extra = ret.extras;
        }
        
        //清除角标
    } else {
        //alert("andr")
        //var extra= JSON.parse(ret.extra);
        var extra = eval('(' + ret.extra + ')');
    }

    //var content=ret.content;
    var src = extra.src;
    //alert(extra.src+"---")
    //注，以上的逻辑稍微有点复杂，就不详细描述为什么了，简单一点说,extra是你后端传过来的json，content,是你推送的内容，我们把后端过来的extra转换成一个json对象，然后去进行逻辑。以上我们是得到了后端传过来的一个age的值
    if (src != "" && src != null) {
        //alert("src=="+src)
        api.sendEvent({
            name : 'xx',
            extra : {
                key : src
            }
        });
    }
}
